GET /api/v3/report

Get a filterable list of installed, saved, and shared reports available to the current user.

GetSpecificReportsV3 Permissions: Reports (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
isRecommended Is Recommended Boolean equals
lastViewed Last Viewed Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
reportCategory Report Group Type String equals
reportCode Report Code String equals not equals one of like not like not one of
reportType Report Type String equals
sharedWithMe Report shared with me Boolean equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

SpecificReportResponse
Property Description Type
baseReport ReportChild
ReportChild properties
Property Description Type
description The report description string
exportFormats Supported export formats (EnergyCAP currently supports PDF, Word, Excel, Excel data only, Excel formatted, and CSV) ExportFormatChild[]
ExportFormatChild properties
Property Description Type
exportFormatInfo string
preferred boolean
isLandscape Indicates whether or not the report is rendered in landscape boolean
lastUpdated The last time this report was updated string (date-time)
reportCode The report code string
reportId The identifier of the report integer (int32)
reportInfo The report name string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
reportType ReportType
ReportType properties
Property Description Type
reportTypeCode The report type code string
reportTypeId The identifier of the report type integer (int32)
reportTypeInfo The report type name string
tags Tags describing features of the report TagChild[]
TagChild properties
Property Description Type
tagTypeId integer (int32)
tagTypeInfo string
values string[]
version The version of the report string
description The report description string
lastViewed Last time this report was run string (date-time)
recommended Indicates if this is a recommended report boolean
relatedReports List of reports related to this report RelatedReportResponse[]
RelatedReportResponse properties
Property Description Type
description Description of the related report string
name Name of the related report string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
specificReportId Specific report id of the related report integer (int32)
reportCategory ReportCategoryChild
ReportCategoryChild properties
Property Description Type
reportCategoryCode string
reportCategoryId integer (int32)
reportCategoryInfo string
shared Indicates if this report is shared boolean
specificReportCode Report code string
specificReportId Unique identifier for the report integer (int32)
specificReportInfo Report name string
subscription ReportSubscriptionChild
ReportSubscriptionChild properties
Property Description Type
dayIndicator ReportSubscriptionDayIndicatorChild
ReportSubscriptionDayIndicatorChild properties
Property Description Type
dayIndicatorInfo Name of the day indicator Daily: None Weekly: One of Sunday to Saturday Monthly: One of 1 to 28 Quarterly: 1st day of month 1 of calendar quarter, 1st day of month 2 of calendar quarter, 1st day of month 3 of calendar quarter string
dayIndicatorValue Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 integer (int32)
emailMessage The body of the email string
emailRecipient The email address to send the report to string
emailSubject The subject line of the email string
onlySendIfData Indicates whether or not to email a report if it contains no data. When set to true, the subscribed report will not be emailed, if the report does not contain data. When set to false, if the requested report has no data, it will still be sent. boolean
reportFormat Format of the report (EnergyCAP currently supports PDF, Word, Excel, and CSV) string
reportSubscriptionId The identifier of the report subscription integer (int32)
scheduleType ReportSubscriptionScheduleTypeChild
ReportSubscriptionScheduleTypeChild properties
Property Description Type
reportSubscriptionScheduleTypeId The identifier of the subscription schedule type integer (int32)
reportSubscriptionScheduleTypeName The name of the subscription schedule type string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
visible Indicates if this report is visible to the current user boolean
Example Response application/json
[
  {    "baseReport": {      "description": "string",      "exportFormats": [],      "isLandscape": false,      "lastUpdated": "2026-03-30",      "reportCode": "string",      "reportId": 1,      "reportInfo": "string",      "reportSource": "string",      "reportType": {},      "tags": [],      "version": "string"
    },    "description": "string",    "lastViewed": "2026-03-30",    "recommended": false,    "relatedReports": [
      {      "description": "string",      "name": "string",      "reportSource": "string",      "specificReportId": 1
    }
    ],    "reportCategory": {      "reportCategoryCode": "string",      "reportCategoryId": 1,      "reportCategoryInfo": "string"
    },    "shared": false,    "specificReportCode": "string",    "specificReportId": 1,    "specificReportInfo": "string",    "subscription": {      "dayIndicator": {},      "emailMessage": "string",      "emailRecipient": "string",      "emailSubject": "string",      "onlySendIfData": false,      "reportFormat": "string",      "reportSubscriptionId": 1,      "scheduleType": {},      "user": {}
    },    "user": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "visible": false
  }
]